# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

{{#each releases}}
  {{#if href}}
    ## [{{title}}]({{href}}){{#if tag}} - {{isoDate}}{{/if}}
  {{else}}
    ## {{title}}{{#if tag}} - {{isoDate}}{{/if}}
  {{/if}}

  {{#if summary}}
    {{summary}}
  {{/if}}

  {{#if merges}}
    ### Merged

    {{#each merges}}
       {{#if href}}[`#{{id}}`]({{href}}){{/if}} {{#if commit.breaking}}**Breaking change:** {{/if}}{{message}}
    {{/each}}
  {{/if}}

  {{#if fixes}}
    ### Fixed

    {{#each fixes}}
      {{#if href}}[`#{{id}}`]({{href}}){{/if}}{{/each}} {{#if commit.breaking}}**Breaking change:** {{/if}}{{commit.message}}{{#each fixes}}
    {{/each}}
  {{/if}}

  {{#commit-list commits heading='### Commits'}}
    {{#if href}}[`{{shorthash}}`]({{href}}){{/if}} {{#if breaking}}**Breaking change:** {{/if}}{{message}}
  {{/commit-list}}

{{/each}}